summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: def2747)
raw | patch | inline | side by side (parent: def2747)
author | Junio C Hamano <junkio@cox.net> | |
Mon, 29 Jan 2007 09:06:27 +0000 (01:06 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Mon, 29 Jan 2007 09:06:27 +0000 (01:06 -0800) |
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-commit.sh | patch | blob | history |
diff --git a/git-commit.sh b/git-commit.sh
index 85c278afabef75dd09386b1586c85c6c812bcd5a..dc0fc3b679c78f2a1884658d556cc888a6d3e441 100755 (executable)
--- a/git-commit.sh
+++ b/git-commit.sh
case "$signoff" in
t)
+ need_blank_before_signoff=
+ tail -n 1 "$GIT_DIR"/COMMIT_EDITMSG |
+ grep 'Signed-off-by:' >/dev/null || need_blank_before_signoff=yes
{
- echo
+ test -z "$need_blank_before_signoff" || echo
git-var GIT_COMMITTER_IDENT | sed -e '
s/>.*/>/
s/^/Signed-off-by: /